Skip to main content
POST
/
v1
/
models
/
{model_id}
/
environments
/
{env_name}
/
cancel_promotion
cURL
curl --request POST \
--url https://api.baseten.co/v1/models/{model_id}/environments/{env_name}/cancel_promotion \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "status": "CANCELED",
  "message": "Promotion to production was successfully canceled."
}
{
  "status": "CANCELED",
  "message": "Promotion to production was successfully canceled."
}

Authorizations

Authorization
string
header
required

Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.

Path Parameters

model_id
string
required
env_name
string
required

Response

200 - application/json

The response to a request to cancel a promotion.

status
enum<string>
required

Status of the request to cancel a promotion. Can be CANCELED or RAMPING_DOWN.

Available options:
CANCELED,
RAMPING_DOWN
message
string
required

A message describing the status of the request to cancel a promotion